Page MenuHomePhabricator

[DAGCombine] (x - C) - y -> (x - y) - C fold
ClosedPublic

Authored by lebedev.ri on May 23 2019, 2:10 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

lebedev.ri created this revision.May 23 2019, 2:10 AM
RKSimon accepted this revision.May 23 2019, 8:15 AM

LGTM

This revision is now accepted and ready to land.May 23 2019, 8:15 AM

Rebased, NFC.

Closed by commit rL361856: [DAGCombine] (x - C) - y -> (x - y) - C fold (authored by lebedevri, committed by ). · Explain WhyMay 28 2019, 10:52 AM
This revision was automatically updated to reflect the committed changes.
lebedev.ri reopened this revision.May 28 2019, 12:04 PM

One of the patches seems to have introduced a hang in test-suite, reverted.

This revision is now accepted and ready to land.May 28 2019, 12:04 PM
This revision was automatically updated to reflect the committed changes.
lebedev.ri reopened this revision.May 30 2019, 9:05 AM

And once more.
rL362109 + rL362110

This revision is now accepted and ready to land.May 30 2019, 9:05 AM
This revision was automatically updated to reflect the committed changes.

It seems i was overly optimistic that this was the last missing fold of this kind (not counting stuck D62266).
More to follow..